// c2015_DCL_GO.DCL

//
// CADALYST Systems Benchmark 2015 v5.5b
// (c)Copyright 1996-2015, Art Liddle and CADALYST Magazine
//
// NOTE:
// AutoCAD 2016 update:  
//


C2015_DCL_GO : dialog {
  label = "  C2015  Benchmark  v5.5b";  // modify to match other files
initial_focus = "ok";

: text{
  label = "(c) Copyright 1996-2015,  Art Liddle and CADALYST Magazine";
}

//////////////////////////////////////////////////////////////////
///// Eliminate spacers to reduce height of dialog box to fit widescreen displays.
/////spacer;

// Logo image
: image {
    fixed_width = true;
     key         = "c2015_logo";
     color       =  0;    // was 7
     height      = 6;     // was 7
     width       = 42;    // was 54
}

////spacer;

// row of edit boxes for config data
: boxed_column {
label = "Record Current System Configuration ";
//    fixed_width = true;

: edit_box { label = "Computer Brand: ";
    key = "comp_brnd";
    mnemonic = "";
  edit_width = 45;
  }
: edit_box { label = "CPU Type/speed: ";
    key = "cpu_type";
    mnemonic = "";
  edit_width = 45;
  }
: edit_box { label = "System RAM: ";
    key = "sys_ram";
    mnemonic = "";
    edit_width = 45;
  }
: edit_box { label = "Graphics Card: ";
    key = "graph_crd";
    mnemonic = "";
    edit_width = 45;
  }
: edit_box { label = "Graphics Card Driver: ";
    key = "graph_drv";
    mnemonic = "";
    edit_width = 45;
  }
: edit_box { label = "Add Comment: ";
    key = "note_txt";
    mnemonic = "";
    edit_width = 45;
  }

//// spacer;

}// end boxed_column

////spacer;

: text{
  label = "C2015 automatically determines and stores the following: ";
}

: text{
  label = "ACAD Version,  Graphics Window Size, and  Current Date and Time.";
}

////spacer;

// row for test type
: boxed_row {
  label = "Test Functions:";
// fixed_width = true;
 : radio_row {
        : radio_button {
          key = "test_3d2d";
          label = "3D/2D/Other";
          mnemonic = "";
        }
        : radio_button {
          key = "test_2d";
          label = "2D/Other";
          mnemonic = "";
        }
        : radio_button {
          key = "test_3d";
          label = "3D Only";
          mnemonic = "";
        }
        : radio_button {
          key = "test_check";
          label = "Check System";
          mnemonic = "";
        }
      }//end radio row
  }// end boxed_row


/////spacer;

// column for loops
: boxed_column {
  label = "Number of Test Loops ";

//fixed_width = true;
  : row {
        : radio_button {
          key = "one_loop";
          label = "1 ";
          mnemonic = "";
        }
        : radio_button {
          key = "three_loops";
          label = "3 ";
          mnemonic = "";
        }
        : radio_button {
          key = "ten_loops";
          label = "10 ";
          mnemonic = "";
        }
        : radio_button {
          key = "thirty_loops";
          label = "30 ";
          mnemonic = "";
        }
        : radio_button {
          key = "one-hundred_loops";
          label = "100 ";
          mnemonic = "";
        }
        : radio_button {
          key = "three-hundred_loops";
          label = "300 ";
          mnemonic = "";
        }
        : radio_button {
          key = "one-thousand_loops";
          label = "1000 ";
          mnemonic = "";
        }
    }//end radio row

///// spacer;

}// end boxed_column

/////spacer;

: text{
  label = "Note: Large test loop values are used to test battery performance";
}
: text{
  label = "and system temperature during extended operations.";
}

/////spacer;


/////////////////////////////////////////////////////////////////
// column for Compare Option
: boxed_column {
  label = "Compare Option ";

//fixed_width = true;
  : row {
        : radio_button {
          key = "comp_on";
          label = "Enable Compare Option";
          mnemonic = "";
        }
        : radio_button {
          key = "comp_off";
          label = "Disable Compare Option";
          mnemonic = "";
        }
    }//end radio row

//// spacer;

}// end boxed_column

////spacer;

: text{
  label = "Note: See Readme_C2015.txt file for more information.";
}

/////spacer;

 ok_cancel;
/////spacer;
}//dialog C2015
