// c2015_DCL_COMPARE.DCL

// CADALYST Systems Benchmark 2015 v5.5b
// (c)Copyright 1996-2015, Art Liddle and CADALYST Magazine
//
// NOTE:
// AutoCAD 2016 update:  Verified operation with AutoCAD 2016
// 
// AutoCAD 2015 update:  Verified operation with AutoCAD 2015
//                       Renamed files
//                       Requires AutoCAD 2010 or higher  


// AutoCAD 2012 update: Disabled Viewport Controls
//                      Adjusted 3d/2D tests to balance times
//                      Added Battery Rundown Test (99 Loops)
//                      Renamed files  
//
// 6-01-2010 (C2011, v5.3b): disabled navigation cube; renamed files for ACAD 2011; 
// New interface for compare option--back end for C2010 test
// 8-01-09: Used Autodesk's Gstest.arx files for updated 3D tests.
// 7-01-08: Revised 3D tests: removed Hidden and Gouraud; added Conceptual and Realistic
//                            adjusted number of repeats; adjusted base times

// dcl_settings : default_dcl_settings { audit_level = 3; }

C2015_DCL_COMPARE : dialog {
  label = "  C2015  Benchmark  v5.5b     Compare Options Menu    ";  // modify to match other files

initial_focus = "ok";

spacer;

/////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////
// column of boxes 
: boxed_column {
    label = "Select Option and Click OK     ";
//    fixed_width = true;
/////////////////////////////////////////////////////////////////////
  : radio_button {
          key = "save_times";
          label = "Save Current Test Times for Later Comparison, then EXIT.";
          mnemonic = "";
        }
  spacer;
  spacer;
/////////////////////////////////////////////////////////////////////
  : radio_button {
          key = "comp_times";
          label = "Compare Current Test Times to Previous Test Times.";
          mnemonic = "";
        }
  spacer;
  spacer;
/////////////////////////////////////////////////////////////////////
 : radio_button {
          key = "save_comp_times";
          label = "Save Current Test Times and Compare to Previous Test Times.";
          mnemonic = "";
        }
  spacer;
  spacer;
/////////////////////////////////////////////////////////////////////
 : radio_button {
          key = "just_exit";
          label = "Just Exit C2015.";
          mnemonic = "";
        }
  spacer;
  spacer;

  }// end of boxed_column
/////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////
  spacer;
  spacer;



/////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////
// row of boxes 
: boxed_row {
    label = "Informational Alert Boxes:     ";
//    fixed_width = true;
/////////////////////////////////////////////////////////////////////
  : radio_button {
          key = "info_boxes_on";
          label = "Enable Informational Alert Boxes.";
          mnemonic = "";
        }
  spacer;
  spacer;
/////////////////////////////////////////////////////////////////////
   : radio_button {
          key = "info_boxes_off";
          label = "Disable Informational Alert Boxes.";
          mnemonic = "";
        }

  spacer;
  spacer;

  }// end of boxed_row
/////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////
  spacer;
  spacer;


 ok_cancel;
spacer;
}//dialog C2015_DCL_COMPARE
